tbb::flow::interface8::composite_node< tbb::flow::tuple< InputTypes...>, tbb::flow::tuple< OutputTypes...> > Class Template Reference
Inheritance diagram for tbb::flow::interface8::composite_node< tbb::flow::tuple< InputTypes...>, tbb::flow::tuple< OutputTypes...> >:

## Public Types

typedef tbb::flow::tuple < receiver< InputTypes > &... > | input_ports_type
typedef tbb::flow::tuple < sender< OutputTypes > &... > | output_ports_type

## Public Member Functions

| composite_node (graph &g, const char *type_name="composite_node")
| composite_node (graph &g)
template<typename T1 , typename T2 >
void | set_external_ports (T1 &&input_ports_tuple, T2 &&output_ports_tuple)
template<typename... NodeTypes>
void | add_visible_nodes (const NodeTypes &...n)
template<typename... NodeTypes>
void | add_nodes (const NodeTypes &...n)
template<typename... Nodes>
void | add_nodes (Nodes &...)
template<typename... Nodes>
void | add_visible_nodes (Nodes &...)
void | set_name (const char *name)
input_ports_type | input_ports ()
output_ports_type | output_ports ()
void | extract ()
Public Member Functions inherited from tbb::flow::interface8::graph_node
| graph_node (graph &g)

## Protected Member Functions

void | reset_node (reset_flags)

## Additional Inherited Members

Protected Attributes inherited from tbb::flow::interface8::graph_node
graph & | my_graph
graph_node * | next
graph_node * | prev

The documentation for this class was generated from the following file:

- flow_graph.h

Copyright © 2005-2015 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.